package payment

import (
	"cloud.o-forge.io/core/oc-lib/logs"
	"cloud.o-forge.io/core/oc-lib/models/utils"
	"cloud.o-forge.io/core/oc-lib/tools"
)

type paymentMongoAccessor struct {
	utils.AbstractAccessor[*Payment]
}

func NewAccessor(request *tools.APIRequest) *paymentMongoAccessor {
	return &paymentMongoAccessor{
		AbstractAccessor: utils.AbstractAccessor[*Payment]{
			Logger:  logs.CreateLogger(tools.PAYMENT.String()),
			Request: request,
			Type:    tools.PAYMENT,
			New:     func() *Payment { return &Payment{} },
		},
	}
}
